# Кварк "Бул" -- булево значение

кварк: Бул
база: bool
реализация: ./lev1/quarq/quarq_bool/

атрибуты:
  док: |
    Бул -- булево значение.
    Обеспечивает логическое значение
    потоками выполнения в рамках Аксиоматики.
  дефолт: false

состояние:
  знач: false # Текущее состояние

методы_трансформации:
  - Инв: "Инвертировать (логическое НЕ)"
  - И: "Логическое умножение"
  - Или: "Логическое сложение"
  - Получ: "Вернуть хранимое значение"
  - Уст: "Поднять значение"
  - ЕслиИст: "Проверить на истину"
  - ЕслиЛожь: "Проверить на ложь"
  - Сброс: "Сбросить в дефолт"
  - КакСтр: "Преобразовать в строку"
  - КакЦел: "Преобразовать в число (0 или 1)"